> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/catalog/stats/merchants/{merchant-id}

> get an stats request



## OpenAPI

````yaml https://api.criteo.com/preview/marketingsolutions/open-api-specifications.json get /preview/catalog/stats/merchants/{merchant-id}
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - MarketingSolutions
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Advertiser
  - name: Analytics
  - name: Audience
  - name: Campaign
  - name: Catalog
  - name: Creative
  - name: Gateway
  - name: OnSiteRecommendation
  - name: Reco
paths:
  /preview/catalog/stats/merchants/{merchant-id}:
    get:
      tags:
        - Catalog
      summary: /preview/catalog/stats/merchants/{merchant-id}
      description: get an stats request
      operationId: GetCatalogMerchantStats
      parameters:
        - name: lastNumHours
          in: query
          description: the last number of hours
          schema:
            type: integer
            format: int32
        - name: merchant-id
          in: path
          description: merchant-id to get
          required: true
          schema:
            type: string
            format: int32
      responses:
        '200':
          description: The successful response of GET stats request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatisticsOkResponse'
      security:
        - oauth:
            - MarketingSolutions_Catalog_Read
components:
  schemas:
    StatisticsOkResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/StatisticsRecordList'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ProductImporterError'
          description: errors
          nullable: true
          readOnly: true
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/ProductImporterWarning'
          description: warnings
          nullable: true
          readOnly: true
      description: The statistics reports
    StatisticsRecordList:
      required:
        - statisticsRecordList
      type: object
      properties:
        statisticsRecordList:
          type: array
          items:
            $ref: '#/components/schemas/StatisticsRecord'
      description: The list of statistics reports
      nullable: true
    ProductImporterError:
      required:
        - code
        - detail
        - instance
        - title
        - traceId
        - type
      type: object
      properties:
        code:
          type: string
          description: >-
            A MACHINE-READABLE error code string in kebab-case. Unique across
            Criteo
        detail:
          type: string
          description: >-
            A HUMAN-READABLE detailed explanation specific to this occurrence of
            the problem. This should not be more that 1 paragraph
        instance:
          type: string
          description: >-
            A MACHINE-READABLE URI reference that identifies the specific
            occurrence of the problem. This could be useful when we want to the
            return the API Endpoint identifying the exact resource related to
            the error.
        title:
          type: string
          description: >-
            A short, HUMAN-READABLE summary of the problem type. It should not
            change from occurrence to occurrence of the problem, except for
            purposes of localization.
        traceId:
          type: string
          description: The MACHINE-READABLE correlation ID provided by the gateway
        type:
          type: string
          description: >-
            A MACHINE-READABLE code specifying error category. This information
            is used on client side to focus on certain type of error, to either
            retry some processing or display only certain type of errors.
      description: Error descriptor.
    ProductImporterWarning:
      required:
        - code
        - detail
        - instance
        - title
        - traceId
        - type
      type: object
      properties:
        code:
          type: string
          description: >-
            A MACHINE-READABLE error code string in kebab-case. Unique across
            Criteo
        detail:
          type: string
          description: >-
            A HUMAN-READABLE detailed explanation specific to this occurrence of
            the problem. This should not be more that 1 paragraph
        instance:
          type: string
          description: >-
            A MACHINE-READABLE URI reference that identifies the specific
            occurrence of the problem. This could be useful when we want to the
            return the API Endpoint identifying the exact resource related to
            the error.
        title:
          type: string
          description: >-
            A short, HUMAN-READABLE summary of the problem type. It should not
            change from occurrence to occurrence of the problem, except for
            purposes of localization.
        traceId:
          type: string
          description: The MACHINE-READABLE correlation ID provided by the gateway
        type:
          type: string
          description: >-
            A MACHINE-READABLE code specifying error category. This information
            is used on client side to focus on certain type of error, to either
            retry some processing or display only certain type of errors.
      description: Warning descriptor.
    StatisticsRecord:
      required:
        - added
        - blacklisted
        - deleted
        - displayable
        - endDate
        - missingDescription
        - missingImage
        - missingName
        - missingPrice
        - missingUrl
        - nonDisplayable
        - outOfStock
        - startDate
        - total
        - variant
        - updated
      type: object
      properties:
        added:
          type: string
          description: >-
            The number of inserted products during the period between startDate
            and endDate
          format: int64
        blacklisted:
          type: string
          description: The number of total blacklisted products at endDate moment
          format: int64
        deleted:
          type: string
          description: >-
            The number of deleted products during the period between startDate
            and endDate
          format: int64
        displayable:
          type: string
          description: The number of total displayable products at endDate moment
          format: int64
        endDate:
          type: string
          description: End date of streaming products collection
          format: date-time
        missingDescription:
          type: string
          description: The number of total missing description products at endDate moment
          format: int64
        missingImage:
          type: string
          description: The number of total missing image products at endDate moment
          format: int64
        missingName:
          type: string
          description: The number of total missing name products at endDate moment
          format: int64
        missingPrice:
          type: string
          description: The number of total missing price products at endDate moment
          format: int64
        missingUrl:
          type: string
          description: The number of total missing url products at endDate moment
          format: int64
        nonDisplayable:
          type: string
          description: The number of total non-displayable products at endDate moment
          format: int64
        outOfStock:
          type: string
          description: The number of total out-of-stock products at endDate moment
          format: int64
        startDate:
          type: string
          description: Start date of streaming products collection
          format: date-time
        total:
          type: string
          description: The number of total products at endDate moment
          format: int64
        updated:
          type: string
          description: >-
            The number of updated products during the period between startDate
            and endDate
          format: int64
        variant:
          type: string
          description: The number of total variant products at endDate moment
          format: int64
      description: The format  statistics report for a period between startDate and endDate
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````